cURL
curl -X GET \
"https://api.incentives.leap.energy/alpha/applications?application_status=awaiting_partner&limit=50" \
-H "x-api-key: leap_live_..." \
-H "Content-Type: application/json"import requests
url = "https://api.incentives.leap.energy/alpha/applications"
params = {
"application_status": "awaiting_partner",
"limit": 50
}
headers = {
"x-api-key": "leap_live_...",
"Content-Type": "application/json"
}
response = requests.get(url, params=params, headers=headers)
print(response.json())const response = await fetch(
'https://api.incentives.leap.energy/alpha/applications?application_status=awaiting_partner&limit=50',
{
method: 'GET',
headers: {
'x-api-key': 'leap_live_...',
'Content-Type': 'application/json'
}
}
);
const data = await response.json();
console.log(data);
{
"next_page_token": "242c3e24-43e6-4ad7-88b3-666cda21582b",
"results": [
{
"id": 123,
"program_id": 339,
"customer_id": 609,
"customer_device_id": [
45,
46
],
"status": "awaiting_partner",
"rebate_type": "instant",
"payee_type": "customer",
"total_requested_amount": 150,
"created_at": "2025-01-10T15:30:00Z",
"updated_at": "2025-01-15T10:45:00Z",
"customer": {
"id": 609,
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "555-123-4567",
"address_line1": "123 Peachtree St",
"city": "Atlanta",
"state": "GA",
"zip_code": "30303"
}
}
]
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "forbidden",
"message": "Application not in your organization",
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}Applications
Search applications
Search and filter the applications you’re tracking. Returns a paginated list, filterable by reference ID or status.
GET
/
applications
cURL
curl -X GET \
"https://api.incentives.leap.energy/alpha/applications?application_status=awaiting_partner&limit=50" \
-H "x-api-key: leap_live_..." \
-H "Content-Type: application/json"import requests
url = "https://api.incentives.leap.energy/alpha/applications"
params = {
"application_status": "awaiting_partner",
"limit": 50
}
headers = {
"x-api-key": "leap_live_...",
"Content-Type": "application/json"
}
response = requests.get(url, params=params, headers=headers)
print(response.json())const response = await fetch(
'https://api.incentives.leap.energy/alpha/applications?application_status=awaiting_partner&limit=50',
{
method: 'GET',
headers: {
'x-api-key': 'leap_live_...',
'Content-Type': 'application/json'
}
}
);
const data = await response.json();
console.log(data);
{
"next_page_token": "242c3e24-43e6-4ad7-88b3-666cda21582b",
"results": [
{
"id": 123,
"program_id": 339,
"customer_id": 609,
"customer_device_id": [
45,
46
],
"status": "awaiting_partner",
"rebate_type": "instant",
"payee_type": "customer",
"total_requested_amount": 150,
"created_at": "2025-01-10T15:30:00Z",
"updated_at": "2025-01-15T10:45:00Z",
"customer": {
"id": 609,
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "555-123-4567",
"address_line1": "123 Peachtree St",
"city": "Atlanta",
"state": "GA",
"zip_code": "30303"
}
}
]
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "forbidden",
"message": "Application not in your organization",
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}Authorizations
Your Leap API key. Send it in the x-api-key header: x-api-key: leap_live_....
Query Parameters
Reference ID to filter applications for a specific customer within your organization
Example:
"982734ihksjhfwoe8u"
Filter by application status
Available options:
not_started, in_progress, awaiting_customer, awaiting_partner, completed, submitted, approved, rejected Example:
"awaiting_partner"
Token for pagination to fetch the next page of results
Example:
"242c3e24-43e6-4ad7-88b3-666cda21582b"
Maximum number of results to return per page
Required range:
1 <= x <= 100Example:
50
Was this page helpful?